<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Signal I/O Interface: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Signal I/O Interface
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SIGNAL_IO_INTERFACE Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#ad5837cb13e9184cfea75ba579c7f53a5">AcquireOutputChannel</a>(int deviceID, unsigned int channel)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a2eb6f484ae27314d229d00fcbde2765d">CheckInputChannel</a>(int deviceID, unsigned int channel)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#ac32d0abaa20630f96d1f31f3a1bbb514">EndDevice</a>(int deviceID)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a90e8d1884a11392fba57fae28158069a">GetMaxInputSamplesNumber</a>(int deviceID)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a8d019a016130cb7319ea50bb5458beaf">HasError</a>(int deviceID)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a039ba55e464174ac0beeed7f526cd3b4">InitDevice</a>(const char *deviceConfig)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a3ad20cf842431b4e1c310d9d28b7b47b">Read</a>(int deviceID, unsigned int channel, double *ref_value)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a4898bde5d5cc66f84987f28bb127c420">ReleaseOutputChannel</a>(int deviceID, unsigned int channel)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a5599e5cda769dd5e93674cb43861c6eb">Reset</a>(int deviceID)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a348d27978c2c9363d154aaf3de2770c5">Write</a>(int deviceID, unsigned int channel, double value)</td><td class="entry"><a class="el" href="classSIGNAL__IO__INTERFACE.html">SIGNAL_IO_INTERFACE</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
